Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.query.impl
Class QueryResultBindingImpl

    java.lang.Object
      org.mindswap.pellet.query.impl.QueryResultBindingImpl

All Implemented Interfaces:
  java.lang.Cloneable, QueryResultBinding

    public class QueryResultBindingImpl

extends java.lang.Object
implements QueryResultBinding

Author:
  Evren Sirin

Constructor Summary
`QueryResultBindingImpl()`
`QueryResultBindingImpl(java.util.Map map)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object other)`
`aterm.ATermAppl` | `getValue(aterm.ATermAppl var)`
`java.util.List` | `getValues(java.util.List vars)`
`java.util.Set` | `getVars()`
`int` | `hashCode()`
`boolean` | `hasValue(aterm.ATermAppl var)`
`boolean` | `isEmpty()`
`void` | `setValue(aterm.ATermAppl var, aterm.ATermAppl value)`
`void` | `setValues(QueryResultBinding binding)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryResultBindingImpl

    public QueryResultBindingImpl()

### QueryResultBindingImpl

    public QueryResultBindingImpl(java.util.Map map)

Method Detail

### setValue

    public void setValue(aterm.ATermAppl var,
                         aterm.ATermAppl value)

  Specified by:
    `setValue` in interface `QueryResultBinding`

### setValues

    public void setValues(QueryResultBinding binding)

  Specified by:
    `setValues` in interface `QueryResultBinding`

### getValue

    public aterm.ATermAppl getValue(aterm.ATermAppl var)

  Specified by:
    `getValue` in interface `QueryResultBinding`

### hasValue

    public boolean hasValue(aterm.ATermAppl var)

  Specified by:
    `hasValue` in interface `QueryResultBinding`

### getVars

    public java.util.Set getVars()

  Specified by:
    `getVars` in interface `QueryResultBinding`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `QueryResultBinding`
  Overrides:
    `clone` in class `java.lang.Object`

### getValues

    public java.util.List getValues(java.util.List vars)

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.